<?xml version="1.0" encoding="utf-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:gen="http://xbrl.org/2008/generic" xmlns:label="http://xbrl.org/2008/label" xmlns:find="http://www.eurofiling.info/xbrl/ext/filing-indicators" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:variable="http://xbrl.org/2008/variable" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd http://xbrl.org/2008/generic http://www.xbrl.org/2008/generic-link.xsd http://xbrl.org/2008/label http://www.xbrl.org/2008/generic-label.xsd http://xbrl.org/2008/variable http://www.xbrl.org/2008/variable.xsd">
  <gen:link xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <variable:parameter xlink:type="resource" xlink:label="LQ.00.01" name="find:tLQ.00.01" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQ.00.01'" as="xs:boolean" id="LQ.00.01" />
    <variable:parameter xlink:type="resource" xlink:label="LQ.00.02" name="find:tLQ.00.02" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQ.00.02'" as="xs:boolean" id="LQ.00.02" />
    <variable:parameter xlink:type="resource" xlink:label="LQ.00.03" name="find:tLQ.00.03" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQ.00.03'" as="xs:boolean" id="LQ.00.03" />
    <variable:parameter xlink:type="resource" xlink:label="LQ.01.01" name="find:tLQ.01.01" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQ.01.01'" as="xs:boolean" id="LQ.01.01" />
    <variable:parameter xlink:type="resource" xlink:label="LQ.01.02" name="find:tLQ.01.02" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQ.01.02'" as="xs:boolean" id="LQ.01.02" />
    <variable:parameter xlink:type="resource" xlink:label="LQ.03.01" name="find:tLQ.03.01" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQ.03.01'" as="xs:boolean" id="LQ.03.01" />
    <variable:parameter xlink:type="resource" xlink:label="LQR.00.01" name="find:tLQR.00.01" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQR.00.01'" as="xs:boolean" id="LQR.00.01" />
    <variable:parameter xlink:type="resource" xlink:label="LQR.01.01" name="find:tLQR.01.01" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQR.01.01'" as="xs:boolean" id="LQR.01.01" />
    <variable:parameter xlink:type="resource" xlink:label="LQR.01.02" name="find:tLQR.01.02" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQR.01.02'" as="xs:boolean" id="LQR.01.02" />
    <variable:parameter xlink:type="resource" xlink:label="LQR.02.01" name="find:tLQR.02.01" select="find:fIndicators/find:filingIndicator[not(@find:filed) or @find:filed != false()] = 'LQR.02.01'" as="xs:boolean" id="LQR.02.01" />
  </gen:link>
</link:linkbase>